# Uses of Enum Class
org.apache.sysds.common.Types.ParamBuiltinOp

Packages that use Types.ParamBuiltinOp
Package
Description
org.apache.sysds.common
org.apache.sysds.hops
org.apache.sysds.hops.rewrite
org.apache.sysds.lops
org.apache.sysds.parser

## Uses of Types.ParamBuiltinOp in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.ParamBuiltinOp
Modifier and Type
Method
Description
`static Types.ParamBuiltinOp`
Types.ParamBuiltinOp.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.ParamBuiltinOp[]`
Types.ParamBuiltinOp.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Types.ParamBuiltinOp in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return Types.ParamBuiltinOp
Modifier and Type
Method
Description
`Types.ParamBuiltinOp`
ParameterizedBuiltinOp.`getOp()`
Constructors in org.apache.sysds.hops with parameters of type Types.ParamBuiltinOp
Modifier
Constructor
Description
``
`ParameterizedBuiltinOp(String l, Types.DataType dt, Types.ValueType vt, Types.ParamBuiltinOp op, LinkedHashMap<String,Hop> inputParameters)`
Creates a new HOP for a function call

## Uses of Types.ParamBuiltinOp in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite with parameters of type Types.ParamBuiltinOp
Modifier and Type
Method
Description
`static ParameterizedBuiltinOp`
HopRewriteUtils.`createParameterizedBuiltinOp(Hop input, LinkedHashMap<String,Hop> args, Types.ParamBuiltinOp op)`
`static boolean`
HopRewriteUtils.`isParameterizedBuiltinOp(Hop hop, Types.ParamBuiltinOp type)`
`static boolean`
HopRewriteUtils.`isParameterizedBuiltinOp(Hop hop, Types.ParamBuiltinOp... types)`
`static boolean`
HopRewriteUtils.`isValidOp(Types.ParamBuiltinOp input, Types.ParamBuiltinOp... validTab)`

## Uses of Types.ParamBuiltinOp in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return Types.ParamBuiltinOp
Modifier and Type
Method
Description
`Types.ParamBuiltinOp`
ParameterizedBuiltin.`getOp()`
Constructors in org.apache.sysds.lops with parameters of type Types.ParamBuiltinOp
Modifier
Constructor
Description
``
`ParameterizedBuiltin(HashMap<String,Lop> paramLops, Types.ParamBuiltinOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`ParameterizedBuiltin(HashMap<String,Lop> paramLops, Types.ParamBuiltinOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean bRmEmptyBC)`
``
`ParameterizedBuiltin(HashMap<String,Lop> paramLops, Types.ParamBuiltinOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`

## Uses of Types.ParamBuiltinOp in org.apache.sysds.parser

Fields in org.apache.sysds.parser with type parameters of type Types.ParamBuiltinOp
Modifier and Type
Field
Description
`static HashMap<Builtins,Types.ParamBuiltinOp>`
ParameterizedBuiltinFunctionExpression.`pbHopMap`